Package com.independentsoft.office.drawing

# Class TextShape

java.lang.Object
com.independentsoft.office.drawing.TextShape

All Implemented Interfaces:
  `IGroupElement`

public class TextShape extends Object implements IGroupElement
The Class TextShape.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextShape()`
  Instantiates a new text shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextShape`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `ShapeTextBody`
  `getShapeTextBody()`
  Gets the shape text body.
  `Transform2D`
  `getTransform2D()`
  Gets the transform2 d.
  `boolean`
  `isShapeTextRectangle()`
  Checks if is shape text rectangle.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setShapeTextBody​(ShapeTextBody shapeTextBody)`
  Sets the shape text body.
  `void`
  `setShapeTextRectangle​(boolean useShapeTextRectangle)`
  Sets the shape text rectangle.
  `void`
  `setTransform2D​(Transform2D transform2D)`
  Sets the transform2 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextShape

    public TextShape()
    Instantiates a new text shape.

- ## Method Details

  - ### clone

    public TextShape clone()
    Specified by:
      `clone` in interface `IGroupElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getShapeTextBody

    public ShapeTextBody getShapeTextBody()
    Gets the shape text body.
    Returns:
      the shape text body

  - ### setShapeTextBody

    public void setShapeTextBody​(ShapeTextBody shapeTextBody)
    Sets the shape text body.
    Parameters:
      `shapeTextBody` - the new shape text body

  - ### isShapeTextRectangle

    public boolean isShapeTextRectangle()
    Checks if is shape text rectangle.
    Returns:
      true, if is shape text rectangle

  - ### setShapeTextRectangle

    public void setShapeTextRectangle​(boolean useShapeTextRectangle)
    Sets the shape text rectangle.
    Parameters:
      `useShapeTextRectangle` - the new shape text rectangle

  - ### getTransform2D

    public Transform2D getTransform2D()
    Gets the transform2 d.
    Returns:
      the transform2 d

  - ### setTransform2D

    public void setTransform2D​(Transform2D transform2D)
    Sets the transform2 d.
    Parameters:
      `transform2D` - the new transform2 d